
QGIS Application - Bug report #12646

Split RGB bands stopped to work in latest Processing releases

2015-04-26 03:54 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/SAGA

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20759

Description

it worked fine until Processing shipped with qgis 2.6.1, since then the module does not work anymore.

History

#1 - 2015-04-27 11:59 PM - Victor Olaya

- Status changed from Open to Feedback

i should be fine now. seems that 2.1.4 changed (again) the naming of output files for that algorithm.

However, i see frequent crashes of the module in windows, even when called from the console...but the algorithm shoudl be correct now

#2 - 2015-04-29 11:41 AM - Giovanni Manghi

on Linux (qgis master) I get

A iniciar o algoritmo Split RGB bands...

/home/giovanni/.qgis2//processing/saga_batch_job.sh: 5: /home/giovanni/.qgis2//processing/saga_batch_job.sh: Syntax error: Unterminated quoted string

#3 - 2015-04-29 11:42 AM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2015-05-14 03:03 AM - Giovanni Manghi

- Target version changed from Version 2.8.2 to Version 2.10

#5 - 2015-05-14 05:05 AM - Victor Olaya

Giovanni, could you upload that sh file, so i can see what is wrong with it?

Thanks!

#6 - 2015-05-14 11:02 AM - Giovanni Manghi

- Target version changed from Version 2.10 to Future Release - High Priority

- Pull Request or Patch supplied changed from No to Yes

- Affected QGIS version changed from 2.8.1 to master
see https://github.com/qgis/QGIS/pull/2037

#7 - 2015-05-20 12:12 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed
